Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/physiq_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/physiq_mod.F90	(revision 4727)
@@ -4789,15 +4956,39 @@
     ENDIF
 
-    !---------------------------------------------------------------------------
+
+!---------------------------------------------------------------------------
     DO k = 1, klev
        DO i = 1, klon
           cldfra(i,k) = rneb(i,k)
           !CR: a quoi ca sert? Faut-il ajouter qs_seri?
-          IF (.NOT.new_oliq) cldliq(i,k) = ql_seri(i,k)
+          !EV: en effet etrange, j'ajouterais aussi qs_seri
+          !    plus largement, je nettoierais (enleverrais) ces lignes
+          IF (.NOT.new_oliq) radocond(i,k) = ql_seri(i,k)
        ENDDO
     ENDDO
 
 
-
+    ! Option to activate the radiative effect of blowing snow (ok_rad_bs)
+    ! makes sense only if the new large scale condensation scheme is active
+    ! with the ok_icefra_lscp flag active as well
+
+    IF (ok_bs .AND. ok_rad_bs) THEN
+       IF (ok_new_lscp .AND. ok_icefra_lscp) THEN
+           DO k=1,klev
+             DO i=1,klon
+                radocond(i,k)=radocond(i,k)+qbs_seri(i,k)
+                picefra(i,k)=(radocond(i,k)*picefra(i,k)+qbs_seri(i,k))/(radocond(i,k))
+                qbsfra=min(qbs_seri(i,k)/qbst_bs,1.0) 
+                cldfra(i,k)=max(cldfra(i,k),qbsfra)
+             ENDDO
+           ENDDO
+       ELSE
+          WRITE(lunout,*)"PAY ATTENTION, you try to activate the radiative effect of blowing snow"
+          WRITE(lunout,*)"with ok_new_lscp=false and/or ok_icefra_lscp=false"
+          abort_message='inconsistency in cloud phase for blowing snow'
+          CALL abort_physic(modname,abort_message,1)
+       ENDIF
+
+    ENDIF
 #ifdef ISO      
 !#ifdef ISOVERIF
@@ -4841,6 +5032,6 @@
             endif !if (q_seri(i,k).gt.errmax) then
             if (ql_seri(i,k).gt.ridicule) then
-               call iso_verif_aberrant( &
-     &           xtl_seri(iso_HDO,i,k)/ql_seri(i,k),'physiq 2871')
+               call iso_verif_aberrant_choix(xtl_seri(iso_HDO,i,k),ql_seri(i,k), &
+                        ridicule,deltalim_snow,'physiq 2871')
                if (iso_O18.gt.0) then  
                  if (iso_verif_o18_aberrant_nostop( &
@@ -4854,5 +5045,5 @@
                         write(*,*) 'deltaO(d_ql_lsc(i,k))=',deltaO( &
      &                           d_xtl_lsc(iso_O18,i,k)/d_ql_lsc(i,k))
-                        stop
+                        !stop
                  endif
                endif ! if (iso_O18.gt.0) then  
@@ -4864,5 +5055,5 @@
         do i=1,klon 
           do k=1,nlev
-           if ((q_seri(i,k).gt.ridicule).and.(l.lt.nlevmaxO17)) then
+           if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) then
             call iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
      &           /q_seri(i,k),xt_seri(iso_o18,i,k) &
@@ -4962,5 +5153,5 @@
           DO i = 1, klon
              IF (diafra(i,k).GT.cldfra(i,k)) THEN
-                cldliq(i,k) = dialiq(i,k)
+                radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
              ENDIF
@@ -4999,9 +5190,9 @@
                 DO i=1,klon
                    IF (ptconv(i,k).AND.ptconvth(i,k)) THEN
-                      cldliq(i,k)=cldliq(i,k)+rnebcon(i,k)*clwcon(i,k)
+                      radocond(i,k)=radocond(i,k)+rnebcon(i,k)*clwcon(i,k)
                       cldfra(i,k)=min(cldfra(i,k)+rnebcon(i,k),1.)
                    ELSE IF (ptconv(i,k)) THEN
                       cldfra(i,k)=rnebcon(i,k)
-                      cldliq(i,k)=rnebcon(i,k)*clwcon(i,k)
+                      radocond(i,k)=rnebcon(i,k)*clwcon(i,k)
                    ENDIF
                 ENDDO
@@ -5012,5 +5203,5 @@
                 DO i=1,klon
                    cldfra(i,k)=min(cldfra(i,k)+rnebcon(i,k),1.)
-                   cldliq(i,k)=cldliq(i,k)+rnebcon(i,k)*clwcon(i,k)
+                   radocond(i,k)=radocond(i,k)+rnebcon(i,k)*clwcon(i,k)
                 ENDDO
              ENDDO
@@ -5030,5 +5221,5 @@
                    IF (ptconv(i,k).AND. .NOT.ptconvth(i,k)) THEN
                       cldfra(i,k)=rnebcon(i,k)
-                      cldliq(i,k)=rnebcon(i,k)*clwcon(i,k)
+                      radocond(i,k)=rnebcon(i,k)*clwcon(i,k)
                    ENDIF
                 ENDDO
@@ -5041,5 +5232,5 @@
           ! Ancienne version
           cldfra(:,:)=min(max(cldfra(:,:),rnebcon(:,:)),1.)
-          cldliq(:,:)=cldliq(:,:)+rnebcon(:,:)*clwcon(:,:)
+          radocond(:,:)=radocond(:,:)+rnebcon(:,:)*clwcon(:,:)
        ENDIF
 
@@ -5061,5 +5252,5 @@
           DO i = 1, klon
              IF (diafra(i,k).GT.cldfra(i,k)) THEN
-                cldliq(i,k) = dialiq(i,k)
+                radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
              ENDIF
@@ -5420,35 +5611,15 @@
        ENDIF
 
-       IF (ok_newmicro) then
-! AI          IF (iflag_rrtm.NE.0) THEN 
-          IF (iflag_rrtm.EQ.1) THEN
-#ifdef CPP_RRTM
-             IF (ok_cdnc.AND.NRADLP.NE.3) THEN
-             abort_message='RRTM choix incoherent NRADLP doit etre egal a 3 ' &
-                  // 'pour ok_cdnc' 
-             CALL abort_physic(modname,abort_message,1)
-             ENDIF
-#else
-
-             abort_message='You should compile with -rrtm if running with '//'iflag_rrtm=1'
-             CALL abort_physic(modname,abort_message,1)
-#endif
-          ENDIF
-          CALL newmicro (flag_aerosol, ok_cdnc, bl95_b0, bl95_b1, &
-               paprs, pplay, t_seri, cldliq, picefra, cldfra, &
+       !Rajout appel a interface calcul proprietes optiques des nuages
+       CALL call_cloud_optics_prop(klon, klev, ok_newmicro, &
+               paprs, pplay, t_seri, radocond, picefra, cldfra, &
                cldtau, cldemi, cldh, cldl, cldm, cldt, cldq, &
-               flwp, fiwp, flwc, fiwc, &
+               flwp, fiwp, flwc, fiwc, ok_aie, &
                mass_solu_aero, mass_solu_aero_pi, &
-               cldtaupi, latitude_deg, re, fl, ref_liq, ref_ice, &
-               ref_liq_pi, ref_ice_pi)
-       ELSE
-          CALL nuage (paprs, pplay, &
-               t_seri, cldliq, picefra, cldfra, cldtau, cldemi, &
-               cldh, cldl, cldm, cldt, cldq, &
-               ok_aie, &
-               mass_solu_aero, mass_solu_aero_pi, &
-               bl95_b0, bl95_b1, &
-               cldtaupi, re, fl)
-       ENDIF
+               cldtaupi, distcltop, temp_cltop, re, fl, ref_liq, ref_ice, &
+               ref_liq_pi, ref_ice_pi, scdnc, cldncl, reffclwtop, lcc, reffclws, &
+               reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra,  & 
+               zfice, dNovrN, ptconv, rnebcon, clwcon)
+
        !
        !IM betaCRF
@@ -5635,16 +5806,16 @@
           cool = cool + betalwoff * (cool0 - cool)
  
-#ifndef CPP_XIOS
-          !
-          !IM 2eme calcul radiatif pour le cas perturbe ou au moins un
-          !IM des taux doit etre different du taux actuel
-          !IM Par defaut on a les taux perturbes egaux aux taux actuels
-          !
-          IF (RCO2_per.NE.RCO2_act.OR. &
-              RCH4_per.NE.RCH4_act.OR. &
-              RN2O_per.NE.RN2O_act.OR. &
-              RCFC11_per.NE.RCFC11_act.OR. &
-              RCFC12_per.NE.RCFC12_act) ok_4xCO2atm =.TRUE. 
-#endif
+          IF (.NOT. using_xios) THEN
+            !
+            !IM 2eme calcul radiatif pour le cas perturbe ou au moins un
+            !IM des taux doit etre different du taux actuel
+            !IM Par defaut on a les taux perturbes egaux aux taux actuels
+            !
+            IF (RCO2_per.NE.RCO2_act.OR. &
+                RCH4_per.NE.RCH4_act.OR. &
+                RN2O_per.NE.RN2O_act.OR. &
+                RCFC11_per.NE.RCFC11_act.OR. &
+                RCFC12_per.NE.RCFC12_act) ok_4xCO2atm =.TRUE. 
+          ENDIF
    ! 
           IF (ok_4xCO2atm) THEN
@@ -5753,5 +5924,5 @@
     ENDDO
 
-    CALL add_phys_tend(du0,dv0,d_t_swr,dq0,dql0,dqi0,paprs,'SW',abortphy,flag_inhib_tend,itap,0 &
+    CALL add_phys_tend(du0,dv0,d_t_swr,dq0,dql0,dqi0,dqbs0,paprs,'SW',abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
      &    ,dxt0,dxtl0,dxti0 &
@@ -5759,5 +5930,5 @@
      &  )
     CALL prt_enerbil('SW',itap)
-    CALL add_phys_tend(du0,dv0,d_t_lwr,dq0,dql0,dqi0,paprs,'LW',abortphy,flag_inhib_tend,itap,0 &
+    CALL add_phys_tend(du0,dv0,d_t_lwr,dq0,dql0,dqi0,dqbs0,paprs,'LW',abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
      &    ,dxt0,dxtl0,dxti0 &
@@ -5807,5 +5978,5 @@
           ! -> condition on zrel_oro can deactivate the drag on tilted planar terrains
           !    such as ice sheets (work by V. Wiener)
-          ! zpmm_orodr_t and zstd_orodr_t are activation thresholds set by F. Lott to 
+          ! zpmm_orodr_t and zstd_orodr_t are activation thresholds set by F. Lott to
           ! earn computation time but they are not physical.
           IF (((zpic(i)-zmea(i)).GT.zpmm_orodr_t).AND.(zstd(i).GT.zstd_orodr_t).AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
@@ -5838,5 +6009,5 @@
        !-----------------------------------------------------------------------
        ! ajout des tendances de la trainee de l'orographie
-       CALL add_phys_tend(d_u_oro,d_v_oro,d_t_oro,dq0,dql0,dqi0,paprs,'oro', &
+       CALL add_phys_tend(d_u_oro,d_v_oro,d_t_oro,dq0,dql0,dqi0,dqbs0,paprs,'oro', &
             abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
@@ -5893,5 +6064,5 @@
 
        ! ajout des tendances de la portance de l'orographie
-       CALL add_phys_tend(d_u_lif, d_v_lif, d_t_lif, dq0, dql0, dqi0, paprs, &
+       CALL add_phys_tend(d_u_lif, d_v_lif, d_t_lif, dq0, dql0, dqi0, dqbs0,paprs, &
             'lif', abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
@@ -5922,5 +6093,5 @@
        d_t_hin(:, :)=0.
        CALL add_phys_tend(du_gwd_hines, dv_gwd_hines, d_t_hin, dq0, dql0, &
-            dqi0, paprs, 'hin', abortphy,flag_inhib_tend,itap,0 &
+            dqi0, dqbs0,paprs, 'hin', abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
      &    ,dxt0,dxtl0,dxti0 &
@@ -5944,5 +6115,5 @@
        ENDDO
 
-       CALL add_phys_tend(du_gwd_front, dv_gwd_front, dt0, dq0, dql0, dqi0, &
+       CALL add_phys_tend(du_gwd_front, dv_gwd_front, dt0, dq0, dql0, dqi0, dqbs0, &
             paprs, 'front_gwd_rando', abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
@@ -5957,5 +6128,5 @@
             rain_fall + snow_fall, zustr_gwd_rando, zvstr_gwd_rando, &
             du_gwd_rando, dv_gwd_rando, east_gwstress, west_gwstress)
-       CALL add_phys_tend(du_gwd_rando, dv_gwd_rando, dt0, dq0, dql0, dqi0, &
+       CALL add_phys_tend(du_gwd_rando, dv_gwd_rando, dt0, dq0, dql0, dqi0, dqbs0, &
             paprs, 'flott_gwd_rando', abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
@@ -6010,5 +6181,11 @@
     !DC Calcul de la tendance due au methane
     IF (ok_qch4) THEN
+!      d_q_ch4: H2O source in ppmv/sec
+#ifdef CPP_StratAer
+       CALL stratH2O_methox(debut,paprs,d_q_ch4)
+#else
+!      ecmwf routine METHOX
        CALL METHOX(1,klon,klon,klev,q_seri,d_q_ch4,pplay)
+#endif
        ! ajout de la tendance d'humidite due au methane
        d_q_ch4_dtime(:,:) = d_q_ch4(:,:)*phys_tstep
@@ -6016,5 +6193,5 @@
        d_xt_ch4_dtime(:,:,:) = d_xt_ch4(:,:,:)*phys_tstep
 #endif
-       CALL add_phys_tend(du0, dv0, dt0, d_q_ch4_dtime, dql0, dqi0, paprs, &
+       CALL add_phys_tend(du0, dv0, dt0, d_q_ch4_dtime, dql0, dqi0, dqbs0, paprs, &
             'q_ch4', abortphy,flag_inhib_tend,itap,0 &
 #ifdef ISO
@@ -6029,4 +6206,50 @@
     !
     !
+#ifdef CPP_StratAer
+    IF (ok_qemiss) THEN
+       flh2o=1
+       IF(flag_verbose_strataer) THEN
+          print *,'IN physiq_mod: ok_qemiss =yes (',ok_qemiss,'), flh2o=',flh2o
+          print *,'IN physiq_mod: flag_emit=',flag_emit,', nErupt=',nErupt
+          print *,'IN physiq_mod: nAerErupt=',nAerErupt
+       ENDIF
+       
+       SELECT CASE(flag_emit)
+       CASE(1) ! emission volc H2O dans LMDZ
+          DO ieru=1, nErupt
+             IF (year_cur==year_emit_vol(ieru).AND.&
+                  mth_cur==mth_emit_vol(ieru).AND.&
+                  day_cur>=day_emit_vol(ieru).AND.&
+                  day_cur<(day_emit_vol(ieru)+injdur)) THEN
+                
+                IF(flag_verbose_strataer) print *,'IN physiq_mod: date=',year_cur,mth_cur,day_cur
+                ! initialisation tendance q emission
+                d_q_emiss(:,:)=0.
+                ! daily injection mass emission - NL
+                m_H2O_emiss_vol_daily = m_H2O_emiss_vol(ieru)/(REAL(injdur)&
+                     *REAL(ponde_lonlat_vol(ieru)))
+                !
+                CALL STRATEMIT(pdtphys,pdtphys,latitude_deg,longitude_deg,t_seri,&
+                     pplay,paprs,tr_seri,&
+                     m_H2O_emiss_vol_daily,&
+                     xlat_min_vol(ieru),xlat_max_vol(ieru),&
+                     xlon_min_vol(ieru),xlon_max_vol(ieru),&
+                     altemiss_vol(ieru),&
+                     sigma_alt_vol(ieru),1,&
+                     1,nAerErupt+1,0)
+                
+                IF(flag_verbose_strataer) print *,'IN physiq_mod: min max d_q_emiss=',&
+                     minval(d_q_emiss),maxval(d_q_emiss)
+                
+                CALL add_phys_tend(du0, dv0, dt0, d_q_emiss, dql0, dqi0, dqbs0, paprs, &
+                     'q_emiss',abortphy,flag_inhib_tend,itap,0)
+                IF (abortphy==1) Print*,'ERROR ABORT TEND EMISS'
+             ENDIF
+          ENDDO
+          flh2o=0
+       END SELECT ! emission scenario (flag_emit)
+    ENDIF
+#endif
+
 
 !===============================================================
@@ -6082,5 +6305,5 @@
 ! car on peut s'attendre a ce que les petites echelles produisent aussi de la TKE
 ! Mais attention, cela ne va pas dans le sens de la conservation de l'energie! 
-          IF ((zstd(i).GT.1.0).AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
+          IF ((zstd(i).GT.1.0) .AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
              itest(i)=1
              igwd=igwd+1
@@ -6149,5 +6372,5 @@
      &              xt_seri(iso_HDO,i,k)/q_seri(i,k), &
      &              xt_seri(iso_O18,i,k)/q_seri(i,k), &
-     &              'physiq 5937, juste apres methox, qv').eq.1) then
+     &              'physiq 5937a, juste apres methox, qv').eq.1) then
                   write(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k) 
                   write(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
@@ -6159,7 +6382,7 @@
      &              xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
      &              xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-     &              'physiq 5937, juste apres methox, ql').eq.1) then
+     &              'physiq 5937b, juste apres methox, ql').eq.1) then
                   write(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k) 
-                  stop
+                  !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) then  
@@ -6168,7 +6391,7 @@
      &              xts_seri(iso_HDO,i,k)/qs_seri(i,k), &
      &              xts_seri(iso_O18,i,k)/qs_seri(i,k), &
-     &              'physiq 5937, juste apres methox, qs').eq.1) then
+     &              'physiq 5937c, juste apres methox, qs').eq.1) then
                   write(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k) 
-                  stop
+                  !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) then
@@ -6342,5 +6565,5 @@
     !
 
-    IF (type_trac=='repr') THEN
+    IF (type_trac == 'repr') THEN
 !MM pas d'impact, car on recupere q_seri,tr_seri,t_seri via phys_local_var_mod
 !MM                               dans Reprobus
@@ -6392,5 +6615,5 @@
          presnivs, pphis,     pphi,     albsol1, &
          sh_in,   ch_in,    rhcl,      cldfra,   rneb, &
-         diafra,   cldliq,    itop_con, ibas_con, &
+         diafra,   radocond,    itop_con, ibas_con, &
          pmflxr,   pmflxs,    prfl,     psfl, &
          da,       phi,       mp,       upwd, &
@@ -6409,5 +6632,5 @@
 
      CALL add_phys_tend &
-            (du0,dv0,dt0,d_q_rep,d_ql_rep,d_qi_rep,paprs,&
+            (du0,dv0,dt0,d_q_rep,d_ql_rep,d_qi_rep,dqbs0,paprs,&
              'rep',abortphy,flag_inhib_tend,itap,0)
         IF (abortphy==1) Print*,'ERROR ABORT REP'
@@ -6486,11 +6709,14 @@
     !   prlw = colonne eau liquide 
     !   prlw = colonne eau solide
+    !   prbsw = colonne neige soufflee
     prw(:) = 0.
     prlw(:) = 0.
     prsw(:) = 0.
+    prbsw(:) = 0.
     DO k = 1, klev
        prw(:)  = prw(:)  + q_seri(:,k)*zmasse(:,k)
        prlw(:) = prlw(:) + ql_seri(:,k)*zmasse(:,k)
        prsw(:) = prsw(:) + qs_seri(:,k)*zmasse(:,k)
+       prbsw(:)= prbsw(:) + qbs_seri(:,k)*zmasse(:,k)
     ENDDO
 
@@ -6563,7 +6789,13 @@
           ENDIF
           !--ice_sursat: nqo=4, on ajoute rneb
-          IF (nqo == 4) THEN
+          IF (nqo.ge.4 .and. ok_ice_sursat) THEN
              d_qx(i,k,irneb) = ( rneb_seri(i,k) - qx(i,k,irneb) ) / phys_tstep
           ENDIF
+
+           IF (nqo.ge.4 .and. ok_bs) THEN
+             d_qx(i,k,ibs) = ( qbs_seri(i,k) - qx(i,k,ibs) ) / phys_tstep
+          ENDIF
+
+
        ENDDO
     ENDDO
@@ -6610,4 +6842,18 @@
       qql2(:)=qql2(:)+(q_seri(:,k)+ql_seri(:,k)+qs_seri(:,k))*zmasse(:,k)
     ENDDO
+    
+#ifdef CPP_StratAer
+    IF (ok_qemiss) THEN
+       DO k = 1, klev
+          qql1(:) = qql1(:)+d_q_emiss(:,k)*zmasse(:,k)
+       ENDDO
+    ENDIF
+#endif
+    IF (ok_qch4) THEN
+       DO k = 1, klev
+          qql1(:) = qql1(:)+d_q_ch4_dtime(:,k)*zmasse(:,k)
+       ENDDO
+    ENDIF
+    
     DO i = 1, klon
       !--compute ratio of what q+ql should be with conservation to what it is
@@ -6645,4 +6891,5 @@
     ql_ancien(:,:) = ql_seri(:,:)
     qs_ancien(:,:) = qs_seri(:,:)
+    qbs_ancien(:,:) = qbs_seri(:,:)
     rneb_ancien(:,:) = rneb_seri(:,:)
 #ifdef ISO
@@ -6654,4 +6901,5 @@
     CALL water_int(klon,klev,ql_ancien,zmasse,prlw_ancien)
     CALL water_int(klon,klev,qs_ancien,zmasse,prsw_ancien)
+    CALL water_int(klon,klev,qbs_ancien,zmasse,prbsw_ancien)
     ! !! RomP >>>
     IF (nqtot > nqo) tr_ancien(:,:,:) = tr_seri(:,:,:)
@@ -6782,8 +7030,8 @@
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
-         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol,    & 
+         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ibs,   & 
          ok_sync, ptconv, read_climoz, clevSTD,          &
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
-         flag_aerosol, flag_aerosol_strat, ok_cdnc)
+         flag_aerosol, flag_aerosol_strat, ok_cdnc,t,u1,v1)
 #endif
 
@@ -6796,50 +7044,51 @@
 ! Pour XIOS : On remet des variables a .false. apres un premier appel
     IF (debut) THEN
-#ifdef CPP_XIOS
-      swaero_diag=.FALSE.
-      swaerofree_diag=.FALSE.
-      dryaod_diag=.FALSE.
-      ok_4xCO2atm= .FALSE.
-!      write (lunout,*)'ok_4xCO2atm= ',swaero_diag, swaerofree_diag, dryaod_diag, ok_4xCO2atm
-
-      IF (is_master) THEN
-        !--setting up swaero_diag to TRUE in XIOS case 
-        IF (xios_field_is_active("topswad").OR.xios_field_is_active("topswad0").OR. & 
-           xios_field_is_active("solswad").OR.xios_field_is_active("solswad0").OR. & 
-           xios_field_is_active("topswai").OR.xios_field_is_active("solswai").OR.  & 
-             (iflag_rrtm==1.AND.(xios_field_is_active("toplwad").OR.xios_field_is_active("toplwad0").OR. & 
-                                 xios_field_is_active("sollwad").OR.xios_field_is_active("sollwad0"))))  & 
-           !!!--for now these fields are not in the XML files so they are omitted 
-           !!!  xios_field_is_active("toplwai").OR.xios_field_is_active("sollwai") !))) & 
-           swaero_diag=.TRUE. 
-
-        !--setting up swaerofree_diag to TRUE in XIOS case 
-        IF (xios_field_is_active("SWdnSFCcleanclr").OR.xios_field_is_active("SWupSFCcleanclr").OR. &
-           xios_field_is_active("SWupTOAcleanclr").OR.xios_field_is_active("rsucsaf").OR.   &
-           xios_field_is_active("rsdcsaf") .OR. xios_field_is_active("LWdnSFCcleanclr").OR. &
-           xios_field_is_active("LWupTOAcleanclr")) &
-           swaerofree_diag=.TRUE. 
-
-        !--setting up dryaod_diag to TRUE in XIOS case 
-        DO naero = 1, naero_tot-1
-         IF (xios_field_is_active("dryod550_"//name_aero_tau(naero))) dryaod_diag=.TRUE. 
-        ENDDO
-        !
-        !--setting up ok_4xCO2atm to TRUE in XIOS case 
-        IF (xios_field_is_active("rsut4co2").OR.xios_field_is_active("rlut4co2").OR. & 
-           xios_field_is_active("rsutcs4co2").OR.xios_field_is_active("rlutcs4co2").OR. &
-           xios_field_is_active("rsu4co2").OR.xios_field_is_active("rsucs4co2").OR. &
-           xios_field_is_active("rsd4co2").OR.xios_field_is_active("rsdcs4co2").OR. &
-           xios_field_is_active("rlu4co2").OR.xios_field_is_active("rlucs4co2").OR. &
-           xios_field_is_active("rld4co2").OR.xios_field_is_active("rldcs4co2")) &
-           ok_4xCO2atm=.TRUE. 
-      ENDIF
-      !$OMP BARRIER
-      CALL bcast(swaero_diag)
-      CALL bcast(swaerofree_diag)
-      CALL bcast(dryaod_diag)
-      CALL bcast(ok_4xCO2atm)
-!      write (lunout,*)'ok_4xCO2atm= ',swaero_diag, swaerofree_diag, dryaod_diag, ok_4xCO2atm
-#endif
+
+      IF (using_xios) THEN
+        swaero_diag=.FALSE.
+        swaerofree_diag=.FALSE.
+        dryaod_diag=.FALSE.
+        ok_4xCO2atm= .FALSE.
+!       write (lunout,*)'ok_4xCO2atm= ',swaero_diag, swaerofree_diag, dryaod_diag, ok_4xCO2atm
+
+        IF (is_master) THEN
+          !--setting up swaero_diag to TRUE in XIOS case 
+          IF (xios_field_is_active("topswad").OR.xios_field_is_active("topswad0").OR. & 
+             xios_field_is_active("solswad").OR.xios_field_is_active("solswad0").OR. & 
+             xios_field_is_active("topswai").OR.xios_field_is_active("solswai").OR.  & 
+               (iflag_rrtm==1.AND.(xios_field_is_active("toplwad").OR.xios_field_is_active("toplwad0").OR. & 
+                                   xios_field_is_active("sollwad").OR.xios_field_is_active("sollwad0"))))  & 
+             !!!--for now these fields are not in the XML files so they are omitted 
+             !!!  xios_field_is_active("toplwai").OR.xios_field_is_active("sollwai") !))) & 
+             swaero_diag=.TRUE. 
+
+          !--setting up swaerofree_diag to TRUE in XIOS case 
+          IF (xios_field_is_active("SWdnSFCcleanclr").OR.xios_field_is_active("SWupSFCcleanclr").OR. &
+             xios_field_is_active("SWupTOAcleanclr").OR.xios_field_is_active("rsucsaf").OR.   &
+             xios_field_is_active("rsdcsaf") .OR. xios_field_is_active("LWdnSFCcleanclr").OR. &
+             xios_field_is_active("LWupTOAcleanclr")) &
+             swaerofree_diag=.TRUE. 
+
+          !--setting up dryaod_diag to TRUE in XIOS case 
+          DO naero = 1, naero_tot-1
+           IF (xios_field_is_active("dryod550_"//name_aero_tau(naero))) dryaod_diag=.TRUE. 
+          ENDDO
+          !
+          !--setting up ok_4xCO2atm to TRUE in XIOS case 
+          IF (xios_field_is_active("rsut4co2").OR.xios_field_is_active("rlut4co2").OR. & 
+             xios_field_is_active("rsutcs4co2").OR.xios_field_is_active("rlutcs4co2").OR. &
+             xios_field_is_active("rsu4co2").OR.xios_field_is_active("rsucs4co2").OR. &
+             xios_field_is_active("rsd4co2").OR.xios_field_is_active("rsdcs4co2").OR. &
+             xios_field_is_active("rlu4co2").OR.xios_field_is_active("rlucs4co2").OR. &
+             xios_field_is_active("rld4co2").OR.xios_field_is_active("rldcs4co2")) &
+             ok_4xCO2atm=.TRUE. 
+        ENDIF
+        !$OMP BARRIER
+        CALL bcast(swaero_diag)
+        CALL bcast(swaerofree_diag)
+        CALL bcast(dryaod_diag)
+        CALL bcast(ok_4xCO2atm)
+!        write (lunout,*)'ok_4xCO2atm= ',swaero_diag, swaerofree_diag, dryaod_diag, ok_4xCO2atm
+      ENDIF !using_xios
     ENDIF
 
@@ -6903,16 +7152,16 @@
        
        ENDIF
-#ifdef CPP_XIOS
-       IF (is_omp_master) CALL xios_context_finalize
+       
+       IF (using_xios) THEN
+         IF (is_omp_master) CALL xios_context_finalize
 
 #ifdef INCA
-       if (type_trac == 'inca') then 
-          IF (is_omp_master .and. grid_type==unstructured) THEN 
-             CALL finalize_inca
-          ENDIF
-       endif
-#endif
-
-#endif
+         if (type_trac == 'inca') then 
+            IF (is_omp_master .and. grid_type==unstructured) THEN 
+               CALL finalize_inca
+            ENDIF
+         endif
+#endif
+       ENDIF !using_xios
        WRITE(lunout,*) ' physiq fin, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
     ENDIF
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/qsat_seawater.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater2.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater2.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsat_seawater2.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/qsat_seawater2.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsatseaw_1D.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsatseaw_1D.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/qsatseaw_1D.F90	(revision 4727)
@@ -0,0 +1,1 @@
+link ../phylmd/qsatseaw_1D.F90
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/reevap.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/reevap.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/reevap.F90	(revision 4727)
@@ -85,13 +85,13 @@
       do ixt=1,ntiso
         call iso_verif_noNaN(xt_seri(ixt,i,k), &
-     &     'physiq 2417: apres evap tot')
+     &     'reevap 2417: apres evap tot')
       enddo
       if (iso_eau.gt.0) then
               call iso_verif_egalite_choix( &
      &           xt_seri(iso_eau,i,k),q_seri(i,k), &
-     &          'physiq 1891+, après reevap totale',errmax,errmaxrel)
+     &          'reevap 1891+, après reevap totale',errmax,errmaxrel)
               call iso_verif_egalite_choix( &
      &           xtl_seri(iso_eau,i,k),ql_seri(i,k), &
-     &          'physiq 2209+, après reevap totale',errmax,errmaxrel)
+     &          'reevap 2209+, après reevap totale',errmax,errmaxrel)
        endif !if (iso_eau.gt.0) then       
       if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
@@ -100,5 +100,5 @@
      &              xt_seri(iso_HDO,i,k)/q_seri(i,k), &
      &              xt_seri(iso_O18,i,k)/q_seri(i,k), &
-     &              'physiq 2315: apres reevap totale').eq.1) then
+     &              'reevap 2315: apres reevap totale').eq.1) then
                   write(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   write(*,*) 'd_q_eva(i,k)=',d_q_eva(i,k)
@@ -111,7 +111,7 @@
 #ifdef ISOTRAC      
              call iso_verif_traceur(xt_seri(1,i,k), &
-     &           'physiq 2165')
+     &           'reevap 2165a')
              call iso_verif_traceur_pbidouille(xt_seri(1,i,k), &
-     &           'physiq 2165b')
+     &           'reevap 2165b')
 #endif               
          
@@ -146,16 +146,16 @@
       do ixt=1,ntiso
       call iso_verif_noNaN(xt_seri(ixt,i,k), &
-     &     'physiq 2417: apres evap tot')
+     &     'reevap 2417: apres evap tot')
       enddo
       if (iso_eau.gt.0) then
               call iso_verif_egalite_choix( &
      &           xt_seri(iso_eau,i,k),q_seri(i,k), &
-     &          'physiq 1891, après réévap totale',errmax,errmaxrel)
+     &          'reevap 1891, après réévap totale',errmax,errmaxrel)
               call iso_verif_egalite_choix( &
      &           xtl_seri(iso_eau,i,k),ql_seri(i,k), &
-     &          'physiq 2209, après réévap totale',errmax,errmaxrel)
+     &          'reevap 2209, après réévap totale',errmax,errmaxrel)
               call iso_verif_egalite_choix( &
      &           xts_seri(iso_eau,i,k),qs_seri(i,k), &
-     &          'physiq 2209b, après réévap totale',errmax,errmaxrel)
+     &          'reevap 2209b, après réévap totale',errmax,errmaxrel)
        endif !if (iso_eau.gt.0) then
      
@@ -165,5 +165,5 @@
      &              xt_seri(iso_HDO,i,k)/q_seri(i,k), &
      &              xt_seri(iso_O18,i,k)/q_seri(i,k), &
-     &              'physiq 2408: apres reevap totale').eq.1) then
+     &              'reevap 2408: apres reevap totale').eq.1) then
                   write(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
                   stop
@@ -173,7 +173,7 @@
 #ifdef ISOTRAC      
              call iso_verif_traceur(xt_seri(1,i,k), &
-     &           'physiq 2165')
+     &           'reevap 2165c')
              call iso_verif_traceur_pbidouille(xt_seri(1,i,k), &
-     &           'physiq 2165b')
+     &           'reevap 2165d')
 #endif                  
 #endif                  
